Bug 212265 - textproc/libxml2-reference: fix missing LICENSE_FILE
Summary: textproc/libxml2-reference: fix missing LICENSE_FILE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-gnome (Nobody)
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-08-30 17:47 UTC by Carlos J. Puga Medina
Modified: 2016-09-06 18:29 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)
cpm: merge-quarterly?


Attachments
patch (504 bytes, patch)
2016-08-30 17:47 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (387 bytes, patch)
2016-08-31 20:00 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2016-08-30 17:47:57 UTC
Created attachment 174222 [details]
patch

libxml2-reference fails to build with following error:

=======================<phase: patch          >============================
===>  Missing license file for MIT in /wrkdirs/usr/ports/textproc/libxml2-reference/work/libxml2-2.9.4/COPYING
*** [/wrkdirs/usr/ports/textproc/libxml2-reference/work/.license_done.libxml2._usr_local] Error code 1

Stop in /usr/ports/textproc/libxml2-reference.

Also it was reported by pkg-fallout.

Patch fix missing LICENSE_FILE.
Comment 1 Carlos J. Puga Medina freebsd_committer 2016-08-31 19:53:54 UTC
John should we remove LICENSE block?
Comment 2 John Marino freebsd_committer 2016-08-31 19:56:25 UTC
That would be the fastest fix.

The alternative is to undefine LICENSE.
The whole construction is pretty shaky.  The use of shell commands (e.g. != evaluations) is highly discouraged.  There's got to be better way that can avoid stuff like that.
Comment 3 Carlos J. Puga Medina freebsd_committer 2016-08-31 20:00:31 UTC
Created attachment 174271 [details]
patch

- Remove LICENSE block
Comment 4 Carlos J. Puga Medina freebsd_committer 2016-08-31 20:05:34 UTC
(In reply to John Marino from comment #2)

Done! Can you commit this without gnome hat?
Comment 5 John Marino freebsd_committer 2016-08-31 20:08:01 UTC
i guess I can since you are the one that brought in the license.
Comment 6 Carlos J. Puga Medina freebsd_committer 2016-08-31 20:11:54 UTC
(In reply to John Marino from comment #5)

OK, thanks.
Comment 7 commit-hook freebsd_committer 2016-08-31 20:14:55 UTC
A commit references this bug:

Author: marino
Date: Wed Aug 31 20:13:51 UTC 2016
New revision: 421190
URL: https://svnweb.freebsd.org/changeset/ports/421190

Log:
  textproc/libxml2: remove LICENSE block to unbreak libxml2-reference

  The addition of the MIT licence block broke at least the
  textproc/libxml2-reference port due to how the helper script
  bsd.gnome-reference.mk works.  Removed at the request of person that
  suggested the license be added [2].

  PR:		209806

  PR:		212265 [2]
  Reported by:	cpm

Changes:
  head/textproc/libxml2/Makefile
Comment 8 commit-hook freebsd_committer 2016-09-06 18:29:14 UTC
A commit references this bug:

Author: cpm
Date: Tue Sep  6 18:28:15 UTC 2016
New revision: 421459
URL: https://svnweb.freebsd.org/changeset/ports/421459

Log:
  MFH: r421190

  textproc/libxml2: remove LICENSE block to unbreak libxml2-reference

  The addition of the MIT licence block broke at least the
  textproc/libxml2-reference port due to how the helper script
  bsd.gnome-reference.mk works.  Removed at the request of person that
  suggested the license be added [2].

  PR:		209806

  PR:		212265 [2]
  Reported by:	cpm

  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/textproc/libxml2/Makefile